<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Basis\PdfListen\PrintPdfListen;

class PrintPdfListenBySettingsPresenter extends PrintPdfListenPresenter
{
  
  protected function isPostError()
  {
    return $this->useCaseResponse->postError;
  }

  protected function getErrorInfo()
  {
    if ($this->isPostError()) {
      return $this->useCaseResponse->postErrorMessage;
    }

    return parent::getErrorInfo();
  }
}